[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TStream.WriteStr

Write a pascal string to the stream.

## Declaration

Source position: objects.pp line 299

`procedure TStream.WriteStr(`
`P: PString`
`);`

## Description

StrWrite writes the pascal string pointed to by P to the stream.

For an example, see TStream.ReadStr.

## Errors

None.

## See also

TStream.StrWrite |  | Write a null-terminated string to the stream.
TStream.StrRead |  | Read a null-terminated string from the stream.
TStream.ReadStr |  | Read a shortstring from the stream.